package edu.uml.gui ;

/** UmlGuiStoreException.java
 *  updated by JMH on September 27, 2002 at 01:14 PM
 */
import java.io.* ;

/** This is the exception class that is thrown for all exceptions that occur in any
 *  UmlGui method.
 *
 *  @author  Jesse M. Heines, <a href="mailto:heines@cs.uml.edu">heines@cs.uml.edu</a>
 *  @version 1.0, updated by JMH on October 05, 2002 at 11:15 AM
 */
public class UmlGuiException extends IOException
{
  /** Create a new instance with explanatory text. 
   *  @param str String explaining exception
   */
  public UmlGuiException( String str ) {
    super( str ) ;
  }
  
  /** Create a new instance with default text. */
  public UmlGuiException() {
    this( "UmlGuiStoreException: No additional data provided." ) ;
  }

} // class UmlGuiException
