<html>

<!--
  umlguiUploadedFileDeletionForm.jsp -- input form for deleting uploaded files on the server
  updated by JMH on October 22, 2002 at 10:48 AM
-->

<head>
  <meta name=""Author" content="Jesse M. Heines">
  <script type="text/javascript" src="../common.js"></script>

  <title>UML GUI Uploaded File Deletion Form</title>
  <script type="text/javascript">
    parent.document.title = document.title ;
  </script>

  <link rel="stylesheet" type="text/css" href="../blueverdana.css">
  
  <script type="text/javascript">
    /** This method validates the form and, if valid, submits it to the student's server */
    function ProcessForm( frm )
    {
      // trim whitespace from form entries
      frm.submitter.value = trim( frm.submitter.value ) ;
      frm.fileToDelete.value = trim( frm.fileToDelete.value ) ;
      frm.filePath.value = trim( frm.filePath.value ) ;
      
      // change filePath backslashes to forward slashes in file path
      frm.filePath.value = frm.filePath.value.replace( /\\/g, "/" ) ;

      // make sure that the user has selected a server to upload to
      if ( frm.selServerName.value == "" )
      {
        alert( "You must select a server to upload to before submitting this form.\n\n" +
               "Click the down arrow next to the dropdown list for the Server to\n" +
               "Upload to field and select the system you wish to upload to." ) ;
        frm.selServerName.focus() ;
        return false ;
      }

      // make sure that the user has entered a name
      if ( frm.submitter.value == "" )
      {
        alert( "You must enter your name before submitting this form.\n\n" +
               "This is the name you used as the root of your storage\n" +
               "directory tree.") ;
        frm.submitter.focus() ;
        return false ;
      }
      
      // convert user name to all lowercase
      frm.submitter.value = frm.submitter.value.toLowerCase() ;

      // make sure that the user has selected a file to upload
      if ( false && frm.fileToDelete.value == "" )
      {
        alert( "You must select a file to upload before submitting this form.\n\n" +
               "Click the Browse button next to the File to Upload field to\n" +
               "bring up a dialog box that will allow you to choose the file\n" +
               "on your system that you wish to upload." ) ;
        frm.fileToDelete.focus() ;
        return false ;
      }

      // set the action to the system specified by the user
      frm.action = "http://" + frm.selServerName.value + 
                   "/~heines/xml/umlguiUploadedFileDeletionProcessor.jsp" ;

      // submit the form, bypassing the onSubmit event
      frm.submit() ;
      
      return false ;
    }
    
    // set form defaults for development and debugging
    function init( frm )
    {
      // set default submitter name
      // frm.submitter.value = "heines" ;
      
      // set default server if possible
      var strServer = "" + location.hostname ;
      if ( strServer == "weblabpc3.cs.uml.edu" )
        frm.selServerName.options( 1 ).selected = true ;
      else if ( strServer == "weblabpc4.cs.uml.edu" )
        frm.selServerName.options( 2 ).selected = true ;
      else if ( strServer == "philip" || strServer == "dolphin" || 
                strServer == "abraham" || strServer == "abraham.cs.uml.edu" )
      {
        // add local server
        var objOption = document.createElement( "option" ) ;
        objOption.text = "" + location.hostname ;
        objOption.value = "" + location.hostname ;
        objOption.selected = true ;
        frm.selServerName.options.add( objOption ) ;

        // add teaching server
        var objOption = document.createElement( "option" ) ;
        objOption.text = "teaching.cs.uml.edu" ;
        objOption.value = "teaching.cs.uml.edu" ;
        frm.selServerName.options.add( objOption ) ;
      }
    }
  </script>
</head>

<body onLoad="init( frm1 )">
<h2>
  <script>
    showPageManipulationButtons( true ) ;  // include Add to Favorites (Bookmark) button
    document.writeln( document.title ) ;
  </script>
</h2>

<form name="frm1" method="POST" onSubmit="return ProcessForm( this );">
  <table border="0">

    <!-- get server to upload to -->
    <tr>
      <td align="right" nowrap="true">Server to Delete from (<i>required</i>):&nbsp;</td>
      <td align="left" colspan="2">
        <span title="Choose the system on which your Web pages reside.">
          <select name="selServerName">
            <option value="">select your server</option>
            <option value="weblabpc3.cs.uml.edu">weblabpc3.cs.uml.edu</option>
            <option value="weblabpc4.cs.uml.edu">weblabpc4.cs.uml.edu</option>
          </select>
        </span>
      </td>
    </tr>

    <!-- get user name -->
    <tr>
      <td align="right" nowrap="true">Your Name (<i>required</i>):&nbsp;</td>
      <td>
        <input type="text" name="submitter" 
               title="Enter the name you used as the root of your storage directory tree." />
      </td>
    </tr>

    <!-- get full path on local system of file to upload -->
    <tr>
      <td align="right" nowrap="true">Name of File to Delete (<i>required</i>):&nbsp;</td>
      <td>
        <input type="test" name="fileToDelete"
               title="Enter the name of the file on the server to delete." />
      </td>
    </tr>

    <!-- get (optional) storage path to use on server under user name -->
    <tr>
      <td align="right" valign="top" nowrap="true">Storage Path (<i>optional</i>):&nbsp;</td>
      <td valign="top">
        <input type="text" name="filePath"
               title="Enter the optional path that was used to store your file under the storage directory tree root identified by your name entered above." />
      </td>
      <td align="left" valign="top">
        Use forward slashes (/), not backslashes (\).
      </td>
    </tr>
    
    <!-- reset and submit buttons -->
    <tr>
      <td align="right">
        <input type="reset" value="Reset Form" 
               title="Click this button to reset all form fields to their defaults." />&nbsp;
      </td>
      <td>
        <input type="submit" value="Delete File" 
               title="Click this button to delete your file." />
      </td>
    </tr>
  </table>
</form>

<h4><br/>
Related Links</h4>
<ul>
  <li><a href="umlguiUploadFileForm.html">UML GUI Upload File Form</a>
  <li><a href="../91.461/91.461-2002-03f/461home.jsp">91.461 Course Home Page</a>
</ul>

<script type="text/javascript">
  // show standard document information
  showLastModifiedDate( document ) ;
</script>

<a href="javascript:history.back()">
<p><img src="../images/blue_prev.gif" alt="Back" border="2"
align="center" width="24" height="24">&nbsp;Back to Previous Page</p></a>

</body>
</html>
